services:
  heruvym:
    restart: unless-stopped
    image: gitea.pena:3000/penaside/heruvym/staging:$GITHUB_RUN_NUMBER
    ports:
      - 10.7.0.6:1487:3000
      - 10.7.0.6:2345:2345
    labels:
      com.pena.upload: true
      com.pena.allowed_headers: content-type,authorization,response-type
    tty: true
    command: dlv --listen=:2345 --headless=true --log=true --log-output=debugger,debuglineerr,gdbwire,lldbout,rpc --accept-multiclient --api-version=2 exec ./heruvym
    environment:
      HTTP_PORT: 3000
      HTTP_HOST: 0.0.0.0
      BB_IS_PROD: true
      BB_MINIO_AK: 5CV77KVDUU9H0II9R24M
      BB_MINIO_EP: s3.timeweb.cloud
      BB_MINIO_SK: 0W0m8DyvdAKRJnsAy6mB5zndQ7RouJBLhqhtThcu
      MONGO_HOST: mongodb.pena
      MONGO_PORT: 27017
      MONGO_USER: support
      MONGO_PASSWORD: 54143ffdd9304865586e5cf2
      MONGO_DB: support
      MONGO_AUTH: support
      BB_MONGO_URI: "mongodb://support:54143ffdd9304865586e5cf2@mongodb.pena/?authSource=support"
      S3_REGION: ru-1
      JWT_SECRET: >
        -----BEGIN PUBLIC KEY-----
        MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCLW1tlHyKC9AG0hGpmkksET2DE
        r7ojSPemxFWAgFgcPJWQ7x3uNbsdJ3bIZFoA/FClaWKMCZmjnH9tv0bKZtY/CDhM
        ZEyHpMruRSn6IKrxjtQZWy4uv/w6MzUeyBYG0OvNCiYpdvz5SkAGAUHD5ZNFqn2w
        KKFD0I2Dr59BFVSGJwIDAQAB
        -----END PUBLIC KEY-----
      TELEGRAM_TOKEN: "6414077478:AAFk03HezovLT2kO_i9OYswH8Weirsgp9GU"
      TELEGRAM_CHAT_ID: 1002089014760
      REDIS_HOST: "10.7.0.6:6379"
      REDIS_PASSWORD: Redalert2
      REDIS_DB: 4
